<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.usbThread.abstractThreadUSB</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1usbThread_1_1abstractThreadUSB.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1usbThread_1_1abstractThreadUSB-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.usbThread.abstractThreadUSB</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.usbThread.abstractThreadUSB:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB__inherit__graph.png" border="0" usemap="#src_8usbThread_8abstractThreadUSB_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8usbThread_8abstractThreadUSB_inherit__map" id="src_8usbThread_8abstractThreadUSB_inherit__map">
<area shape="rect" title=" " alt="" coords="175,111,397,138"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html" title="Classe pour les threads copiant depuis les clés USB." alt="" coords="449,5,621,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html" title="Classe pour les threads copiant vers les clés USB." alt="" coords="449,71,621,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html" title="Classe pour les threads effaçant des sous&#45;arbres dans les clés USB." alt="" coords="445,136,625,177"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html" title="Classe pour les threads déplaçant des fichiers depuis les clés USB." alt="" coords="448,201,623,243"/>
<area shape="rect" title=" " alt="" coords="5,111,127,138"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.usbThread.abstractThreadUSB:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB__coll__graph.png" border="0" usemap="#src_8usbThread_8abstractThreadUSB_coll__map" alt="Collaboration graph"/></div>
<map name="src_8usbThread_8abstractThreadUSB_coll__map" id="src_8usbThread_8abstractThreadUSB_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,228,107"/>
<area shape="rect" title=" " alt="" coords="56,5,177,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:ab7ed757a788a790105fe8023aeb0c0b3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ab7ed757a788a790105fe8023aeb0c0b3">__init__</a> (self, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a>=None, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a>=&quot;/dev/null&quot;, parent=None)</td></tr>
<tr class="separator:ab7ed757a788a790105fe8023aeb0c0b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf05ec8ad79c19ac7cfe2348c266ba65"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#adf05ec8ad79c19ac7cfe2348c266ba65">run</a> (self)</td></tr>
<tr class="separator:adf05ec8ad79c19ac7cfe2348c266ba65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6322f09df6d4722df2ea63f5e61ac106"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a6322f09df6d4722df2ea63f5e61ac106">writeToLog</a> (self, msg)</td></tr>
<tr class="memdesc:a6322f09df6d4722df2ea63f5e61ac106"><td class="mdescLeft">&#160;</td><td class="mdescRight">Écrit un message dans le fichier de journalisation.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a6322f09df6d4722df2ea63f5e61ac106">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6322f09df6d4722df2ea63f5e61ac106"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d49da6903ac7df766a60708fa072f5a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d49da6903ac7df766a60708fa072f5a">copytree</a> (self, src, dst, symlinks=False, ignore=None, erase=False, errors=[])</td></tr>
<tr class="separator:a5d49da6903ac7df766a60708fa072f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9ced5ba80332768a929e76ce052e0d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5f9ced5ba80332768a929e76ce052e0d">__str__</a> (self)</td></tr>
<tr class="memdesc:a5f9ced5ba80332768a929e76ce052e0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie une chaîne informative sur le thread.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5f9ced5ba80332768a929e76ce052e0d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5f9ced5ba80332768a929e76ce052e0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4c285ad4dfc222c4c76c513d9cf0629"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae4c285ad4dfc222c4c76c513d9cf0629">threadType</a> (self)</td></tr>
<tr class="memdesc:ae4c285ad4dfc222c4c76c513d9cf0629"><td class="mdescLeft">&#160;</td><td class="mdescRight">information sur le thread.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae4c285ad4dfc222c4c76c513d9cf0629">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae4c285ad4dfc222c4c76c513d9cf0629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac586343abef57ddc6cfe074a5b99ea0d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ac586343abef57ddc6cfe074a5b99ea0d">toDo</a> (self, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a>)</td></tr>
<tr class="memdesc:ac586343abef57ddc6cfe074a5b99ea0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">La fonction abstraite pour les choses à faire.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ac586343abef57ddc6cfe074a5b99ea0d">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac586343abef57ddc6cfe074a5b99ea0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:add4e7b6bfbfb104f98eb4be47b3bfdff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a></td></tr>
<tr class="separator:add4e7b6bfbfb104f98eb4be47b3bfdff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae91185d80f12054c7fa3224316504f24"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a></td></tr>
<tr class="separator:ae91185d80f12054c7fa3224316504f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4c41bde3df9458df316eb04a503b20"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a></td></tr>
<tr class="separator:a5d4c41bde3df9458df316eb04a503b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c38b7a0b013f9331cf477b7d41bd77c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a></td></tr>
<tr class="separator:a0c38b7a0b013f9331cf477b7d41bd77c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90550c2bd77c21e59db0f93d81eb0b1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a></td></tr>
<tr class="separator:a90550c2bd77c21e59db0f93d81eb0b1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f081a29fbaace6ce8290890a5537ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#aa7f081a29fbaace6ce8290890a5537ad">parent</a></td></tr>
<tr class="separator:aa7f081a29fbaace6ce8290890a5537ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00147">147</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="ab7ed757a788a790105fe8023aeb0c0b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7ed757a788a790105fe8023aeb0c0b3">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fileList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>subdir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dest</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logfile</em> = <code>&quot;/dev/null&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00159">159</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a5f9ced5ba80332768a929e76ce052e0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f9ced5ba80332768a929e76ce052e0d">&#9670;&nbsp;</a></span>__str__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.__str__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Renvoie une chaîne informative sur le thread. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une chaine donnant des informations sur ce qui va se passer dans le thread qui a été créé. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00245">245</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_a5f9ced5ba80332768a929e76ce052e0d_cgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_a5f9ced5ba80332768a929e76ce052e0d_cgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_a5f9ced5ba80332768a929e76ce052e0d_cgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_a5f9ced5ba80332768a929e76ce052e0d_cgraph">
<area shape="rect" title="Renvoie une chaîne informative sur le thread." alt="" coords="5,5,200,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae4c285ad4dfc222c4c76c513d9cf0629" title="information sur le thread." alt="" coords="248,5,443,47"/>
</map>
</div>

</div>
</div>
<a id="a5d49da6903ac7df766a60708fa072f5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d49da6903ac7df766a60708fa072f5a">&#9670;&nbsp;</a></span>copytree()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.copytree </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>symlinks</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ignore</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>erase</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>errors</em> = <code>[]</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00195">195</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_cgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_cgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_cgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_cgraph">
<area shape="rect" title=" " alt="" coords="5,29,200,71"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_icgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_icgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_icgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_a5d49da6903ac7df766a60708fa072f5a_icgraph">
<area shape="rect" title=" " alt="" coords="228,71,423,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#ab91e4a0c4670a522f49b9e47627b0ea4" title="La fonction abstraite pour les choses à faire." alt="" coords="7,5,179,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html#a5d30a5a942b828b3832848a3827a4d0d" title="La fonction abstraite pour les choses à faire." alt="" coords="7,71,179,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a" title="La fonction abstraite pour les choses à faire." alt="" coords="5,136,180,177"/>
</map>
</div>

</div>
</div>
<a id="adf05ec8ad79c19ac7cfe2348c266ba65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf05ec8ad79c19ac7cfe2348c266ba65">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00171">171</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_adf05ec8ad79c19ac7cfe2348c266ba65_cgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_adf05ec8ad79c19ac7cfe2348c266ba65_cgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_adf05ec8ad79c19ac7cfe2348c266ba65_cgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_adf05ec8ad79c19ac7cfe2348c266ba65_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,200,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ac586343abef57ddc6cfe074a5b99ea0d" title="La fonction abstraite pour les choses à faire." alt="" coords="248,5,443,47"/>
</map>
</div>

</div>
</div>
<a id="ae4c285ad4dfc222c4c76c513d9cf0629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4c285ad4dfc222c4c76c513d9cf0629">&#9670;&nbsp;</a></span>threadType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.threadType </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>information sur le thread. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une chaîne courte qui informe sur le type de thread </dd></dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#a39d060179a832e7940e84110a16d3672">src.usbThread.threadCopyToUSB</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00259">259</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_ae4c285ad4dfc222c4c76c513d9cf0629_icgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_ae4c285ad4dfc222c4c76c513d9cf0629_icgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_ae4c285ad4dfc222c4c76c513d9cf0629_icgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_ae4c285ad4dfc222c4c76c513d9cf0629_icgraph">
<area shape="rect" title="information sur le thread." alt="" coords="248,5,443,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5f9ced5ba80332768a929e76ce052e0d" title="Renvoie une chaîne informative sur le thread." alt="" coords="5,5,200,47"/>
</map>
</div>

</div>
</div>
<a id="ac586343abef57ddc6cfe074a5b99ea0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac586343abef57ddc6cfe074a5b99ea0d">&#9670;&nbsp;</a></span>toDo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.toDo </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fileList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>subdir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logfile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>La fonction abstraite pour les choses à faire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ud</td><td>l'instance uDisk correspondant à une partition de clé USB </td></tr>
    <tr><td class="paramname">fileList</td><td>la liste des fichiers à traiter </td></tr>
    <tr><td class="paramname">subdir</td><td>un sous-répertoire de la clé USB </td></tr>
    <tr><td class="paramname">dest</td><td>un répertoire de destination </td></tr>
    <tr><td class="paramname">logfile</td><td>un fichier de journalisation </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html#a4dec9210590b5020f44cc8b38aecbcfe">src.usbThread.threadDeleteInUSB</a>, <a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a">src.usbThread.threadMoveFromUSB</a>, <a class="el" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html#a5d30a5a942b828b3832848a3827a4d0d">src.usbThread.threadCopyFromUSB</a>, et <a class="el" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#ab91e4a0c4670a522f49b9e47627b0ea4">src.usbThread.threadCopyToUSB</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00270">270</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_ac586343abef57ddc6cfe074a5b99ea0d_icgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_ac586343abef57ddc6cfe074a5b99ea0d_icgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_ac586343abef57ddc6cfe074a5b99ea0d_icgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_ac586343abef57ddc6cfe074a5b99ea0d_icgraph">
<area shape="rect" title="La fonction abstraite pour les choses à faire." alt="" coords="248,5,443,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#adf05ec8ad79c19ac7cfe2348c266ba65" title=" " alt="" coords="5,5,200,47"/>
</map>
</div>

</div>
</div>
<a id="a6322f09df6d4722df2ea63f5e61ac106"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6322f09df6d4722df2ea63f5e61ac106">&#9670;&nbsp;</a></span>writeToLog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.abstractThreadUSB.writeToLog </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>msg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Écrit un message dans le fichier de journalisation. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td>le message </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00179">179</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1abstractThreadUSB_a6322f09df6d4722df2ea63f5e61ac106_icgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1abstractThreadUSB_a6322f09df6d4722df2ea63f5e61ac106_icgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1abstractThreadUSB_a6322f09df6d4722df2ea63f5e61ac106_icgraph" id="classsrc_1_1usbThread_1_1abstractThreadUSB_a6322f09df6d4722df2ea63f5e61ac106_icgraph">
<area shape="rect" title="Écrit un message dans le fichier de journalisation." alt="" coords="233,104,428,145"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyToUSB.html#ab91e4a0c4670a522f49b9e47627b0ea4" title="La fonction abstraite pour les choses à faire." alt="" coords="9,5,181,47"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadCopyFromUSB.html#a5d30a5a942b828b3832848a3827a4d0d" title="La fonction abstraite pour les choses à faire." alt="" coords="9,71,181,112"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a" title="La fonction abstraite pour les choses à faire." alt="" coords="8,136,183,177"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1threadDeleteInUSB.html#a4dec9210590b5020f44cc8b38aecbcfe" title="La fonction abstraite pour les choses à faire." alt="" coords="5,201,185,243"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a0c38b7a0b013f9331cf477b7d41bd77c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c38b7a0b013f9331cf477b7d41bd77c">&#9670;&nbsp;</a></span>dest</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.dest</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00166">166</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="ae91185d80f12054c7fa3224316504f24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae91185d80f12054c7fa3224316504f24">&#9670;&nbsp;</a></span>fileList</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.fileList</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00164">164</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="a90550c2bd77c21e59db0f93d81eb0b1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90550c2bd77c21e59db0f93d81eb0b1c">&#9670;&nbsp;</a></span>logfile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.logfile</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00167">167</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="aa7f081a29fbaace6ce8290890a5537ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f081a29fbaace6ce8290890a5537ad">&#9670;&nbsp;</a></span>parent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.parent</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00168">168</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="a5d4c41bde3df9458df316eb04a503b20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d4c41bde3df9458df316eb04a503b20">&#9670;&nbsp;</a></span>subdir</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.subdir</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00165">165</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<a id="add4e7b6bfbfb104f98eb4be47b3bfdff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add4e7b6bfbfb104f98eb4be47b3bfdff">&#9670;&nbsp;</a></span>ud</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.abstractThreadUSB.ud</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00162">162</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="usbThread_8py_source.html">usbThread.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbThread.html">usbThread</a></li><li class="navelem"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html">abstractThreadUSB</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
